NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.CurveSnapOptionsBuilder Class Reference

Represents a NXOpen.CurveSnapOptionsBuilder More...

Inheritance diagram for NXOpen.CurveSnapOptionsBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe bool Collinear [get, set]
 Returns or sets the setting specifies whether curve creation commands and curve dragging snap lines to be collinear More...
 
unsafe bool OrthogonalAlignment [get, set]
 Returns or sets the setting specifies whether curve creation commands and curve dragging snap to align point locations horizontally and vertically More...
 
unsafe bool OrthogonalDirection [get, set]
 Returns or sets the setting specifies whether curve creation commands and curve dragging snap to horizontal and vertical directions More...
 
unsafe bool Parallel [get, set]
 Returns or sets the setting specifies whether curve creation commands and curve dragging snap to parallel directions More...
 
unsafe bool Perpendicular [get, set]
 Returns or sets the setting specifies whether curve creation commands and curve dragging snap to perpendicular directions More...
 
unsafe bool Tangent [get, set]
 Returns or sets the setting specifies whether curve creation commands and curve dragging snap to tangent directions More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CurveSnapOptionsBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateCurveSnapOptionsBuilder

Created in NX1847.0.0

Property Documentation

unsafe bool NXOpen.CurveSnapOptionsBuilder.Collinear
getset

Returns or sets the setting specifies whether curve creation commands and curve dragging snap lines to be collinear

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.CurveSnapOptionsBuilder.OrthogonalAlignment
getset

Returns or sets the setting specifies whether curve creation commands and curve dragging snap to align point locations horizontally and vertically

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.CurveSnapOptionsBuilder.OrthogonalDirection
getset

Returns or sets the setting specifies whether curve creation commands and curve dragging snap to horizontal and vertical directions

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.CurveSnapOptionsBuilder.Parallel
getset

Returns or sets the setting specifies whether curve creation commands and curve dragging snap to parallel directions

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.CurveSnapOptionsBuilder.Perpendicular
getset

Returns or sets the setting specifies whether curve creation commands and curve dragging snap to perpendicular directions

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.CurveSnapOptionsBuilder.Tangent
getset

Returns or sets the setting specifies whether curve creation commands and curve dragging snap to tangent directions

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.